package com.fr.plugin.third.party.jsdigei.http;

import com.fanruan.api.log.LogKit;
import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.plugin.third.party.jsdigei.config.CustomDataConfig;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 */
public class CustomConfigHttpHandler extends BaseHttpHandler {

    @Override
    public RequestMethod getMethod() {
        return RequestMethod.POST;
    }

    @Override
    public String getPath() {
        return "/jsd8061/oauth/config";
    }

    @Override
    public boolean isPublic() {
        return true;
    }

    @Override
    public void handle(HttpServletRequest req, HttpServletResponse res) throws Exception {
        res.setContentType("application/json; charset=utf-8");
        String loginUrl = CustomDataConfig.getInstance().getLogoutUrl() + "?client_id=" + CustomDataConfig.getInstance().getIdmClientId() + "&client_secret=" + CustomDataConfig.getInstance().getIdmClientSecret();
        LogKit.info("登录集成登录,退出SSO登录地址：" + loginUrl);
        String content = "{\"loginUrl\":\"" + loginUrl + "\"}";
        WebUtils.printAsString(res, content);
    }


}
